Subject: Re: [GSEC] Re: [MSEC] MSEC v01 arch, comments on section 2 (fwd)

From: Ran Canetti <[email-masked]>
Date: Mon, 30 Jun 2003 13:16:37 -0400

Brian,

> From [email-masked] Fri Jun 27 19:17:41 2003

...

> 
> I believe the following statements summarize the discussion, and are
> what I propose adding to the architecture document. (This is not actual
> text, just the logical statements.)
> 
> 1. A secure application layer group using MSEC protocols does not
> require the multicast routing infrastructure to participate in the
> group. However, that application layer group has no guarantee that the
> the multicast routing infrastructure will route the packets
> appropriately.

I agree with this rendition. I would have the text stress that
while inappropriate routing may cause denial of service, it cannot cause
failure of authenticity or secrecy of the data. (This fact is clear to
us but may not be obvious to a causual reader.)

Ran

> 
> 2. The multicast routing infrastructure comprises a group that could use
> MSEC protocols to protect its own traffic. However, this would be
> independent of any secure application layer groups.
> 
> I would also add:
> 
> 3. The bridge between the application layer group and the multicast
> routing is the network level "join" to a group. Joins to a multicast
> group are not the same as "joining" a secure group. I.e., the former
> involves sending an IGMP or MLD messages to the closest multicast-aware
> router, and the latter means registering with a GCKS to obtain the
> policy and keys necessary to participate in the group. (This is already
> mentioned in section 5.2.4, but probably needs more emphasis.)
> 

_______________________________________________
msec mailing list
[email-masked]
http://www.pairlist.net/mailman/listinfo/msec